summaryrefslogtreecommitdiffstats
path: root/ldb/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ldb/autogen.sh')
-rwxr-xr-xldb/autogen.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/ldb/autogen.sh b/ldb/autogen.sh
new file mode 100755
index 000000000..1681b5042
--- /dev/null
+++ b/ldb/autogen.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+rm -rf autom4te.cache
+rm -f configure config.h.in
+
+IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace"
+IPATHS="$IPATHS -I ./external"
+
+autoheader $IPATHS || exit 1
+autoconf $IPATHS || exit 1
+
+rm -rf autom4te.cache
+
+swig -O -Wall -python -keyword ldb.i # Ignore errors, for now
+
+echo "Now run ./configure and then make."
+exit 0
+